/**
 * The ordered time units based on the GitLab time unit pattern.
 * @see https://docs.gitlab.com/ee/user/project/time_tracking.html#available-time-units
 */
export declare const orderedTimeUnits: readonly ["y", "mo", "w", "d", "h", "m"];
export type TimeUnit = (typeof orderedTimeUnits)[number];
export declare function isTimeUnit(value: string): value is TimeUnit;
